NfsFileType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.nfs, enum: NfsFileType

Package org.apache.hadoop.nfs

# Enum Class NfsFileType

java.lang.Object
java.lang.Enum<NfsFileType>
org.apache.hadoop.nfs.NfsFileType

All Implemented Interfaces:
  `Serializable`, `Comparable<NfsFileType>`, `Constable`

public enum NfsFileType extends Enum<NfsFileType>
Class encapsulates different types of files

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NFSBLK`
  `NFSCHR`
  `NFSDIR`
  `NFSFIFO`
  `NFSLNK`
  `NFSREG`
  `NFSSOCK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `toValue()`
  `static NfsFileType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NfsFileType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NFSREG

    public static final NfsFileType NFSREG

  - ### NFSDIR

    public static final NfsFileType NFSDIR

  - ### NFSBLK

    public static final NfsFileType NFSBLK

  - ### NFSCHR

    public static final NfsFileType NFSCHR

  - ### NFSLNK

    public static final NfsFileType NFSLNK

  - ### NFSSOCK

    public static final NfsFileType NFSSOCK

  - ### NFSFIFO

    public static final NfsFileType NFSFIFO

- ## Method Details

  - ### values

    public static NfsFileType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NfsFileType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toValue

    public int toValue()